org.apache.fop.afp.modca.triplets

## Class MappingOptionTriplet

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.triplets.AbstractTriplet
    - - org.apache.fop.afp.modca.triplets.MappingOptionTriplet

All Implemented Interfaces:
  Triplet, Streamable, StructuredData

    public class MappingOptionTriplet
    extends AbstractTriplet

Specifies the mapping of data object presentation space to object area

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

Fields
`static byte` `CENTER_AND_TRIM` the data object is centred, all data that falls within the object area extents will be presented but data that falls outside will not be presented
`static byte` `IMAGE_POINT_TO_PEL` Migration mapping option: Image point-to-pel.
`static byte` `IMAGE_POINT_TO_PEL_DOUBLE_DOT` Migration mapping option: Image point-to-pel with double dot.
`static byte` `POSITION` the data object is placed in the upper left corner, all data must be presented within the object area extents
`static byte` `POSITION_AND_TRIM` the data object is placed in the upper left corner, all data that falls within the object area extents will be presented but data that falls outside will not be presented
`static byte` `REPLICATE_AND_TRIM` Migration mapping option: Replicate and trim.
`static byte` `SCALE_TO_FILL` the data object is centred, aspect ratio is not always preserved
`static byte` `SCALE_TO_FIT` the data object is centred and symmetrically scaled up or down while preserving aspect ratio
`static byte` `UP3I_PRINT_DATA` used to map ip3i print data objects

### Fields inherited from class org.apache.fop.afp.modca.triplets.AbstractTriplet

`id`

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Fields inherited from interface org.apache.fop.afp.modca.triplets.Triplet

`AREA_DEFINITION, ATTRIBUTE_QUALIFIER, ATTRIBUTE_VALUE, CHARACTER_ROTATION, CMR_TAG_FIDELITY, CODED_GRAPHIC_CHARACTER_SET_GLOBAL_IDENTIFIER, COLOR_FIDELITY, COLOR_MANAGEMENT_RESOURCE_DESCRIPTOR, COLOR_SPECIFICATION, COMMENT, DATA_OBJECT_FONT_DESCRIPTOR, DESCRIPTOR_POSITION, DEVICE_APPEARANCE, ENCODING_SCHEME_ID, EXTENDED_RESOURCE_LOCAL_IDENTIFIER, FINISHING_FIDELITY, FINISHING_OPERATION, FONT_DESCRIPTOR_SPECIFICATION, FONT_FIDELITY, FONT_HORIZONTAL_SCALE_FACTOR, FONT_RESOLUTION_AND_METRIC_TECHNOLOGY, FULLY_QUALIFIED_NAME, LOCALE_SELECTOR, MAPPING_OPTION, MAX_LENGTH, MEASUREMENT_UNITS, MEDIA_EJECT_CONTROL, MEDIA_FIDELITY, MEDIUM_MAP_PAGE_NUMBER, MEDIUM_ORIENTATION, MODCA_INTERCHANGE_SET, OBJECT_AREA_SIZE, OBJECT_BYTE_EXTENT, OBJECT_BYTE_OFFSET, OBJECT_CLASSIFICATION, OBJECT_COUNT, OBJECT_DATE_AND_TIMESTAMP, OBJECT_FUNCTION_SET_SPECIFICATION, OBJECT_OFFSET, OBJECT_STRUCTURED_FIELD_EXTENT, OBJECT_STRUCTURED_FIELD_OFFSET, PAGE_OVERLAY_CONDITIONAL_PROCESSING, PAGE_POSITION_INFORMATION, PARAMETER_VALUE, PRESENTATION_CONTROL, PRESENTATION_SPACE_MIXING_RULE, PRESENTATION_SPACE_RESET_MIXING, RENDERING_INTENT, RESOURCE_LOCAL_IDENTIFIER, RESOURCE_OBJECT_INCLUDE, RESOURCE_SECTION_NUMBER, RESOURCE_USAGE_ATTRIBUTE, TEXT_FIDELITY, TONER_SAVER, UNIVERSAL_DATE_AND_TIMESTAMP, UP3I_FINISHING_OPERATION`

### Constructor Summary

Constructors
Constructor and Description
`MappingOptionTriplet(byte mapValue)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDataLength()` Returns the data length of this structured field
`void` `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

### Methods inherited from class org.apache.fop.afp.modca.triplets.AbstractTriplet

`getData, getId`

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, copySF, truncate, writeChunksToStream, writeObjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### POSITION

    public static final byte POSITION

the data object is placed in the upper left corner, all data must be presented within the object area extents

See Also:
  Constant Field Values

#### POSITION_AND_TRIM

    public static final byte POSITION_AND_TRIM

the data object is placed in the upper left corner, all data that falls within the object area extents will be presented but data that falls outside will not be presented

See Also:
  Constant Field Values

#### SCALE_TO_FIT

    public static final byte SCALE_TO_FIT

the data object is centred and symmetrically scaled up or down while preserving aspect ratio

See Also:
  Constant Field Values

#### CENTER_AND_TRIM

    public static final byte CENTER_AND_TRIM

the data object is centred, all data that falls within the object area extents will be presented but data that falls outside will not be presented

See Also:
  Constant Field Values

#### IMAGE_POINT_TO_PEL

    public static final byte IMAGE_POINT_TO_PEL

Migration mapping option: Image point-to-pel.

See Also:
  Constant Field Values

#### IMAGE_POINT_TO_PEL_DOUBLE_DOT

    public static final byte IMAGE_POINT_TO_PEL_DOUBLE_DOT

Migration mapping option: Image point-to-pel with double dot.

See Also:
  Constant Field Values

#### REPLICATE_AND_TRIM

    public static final byte REPLICATE_AND_TRIM

Migration mapping option: Replicate and trim.

See Also:
  Constant Field Values

#### SCALE_TO_FILL

    public static final byte SCALE_TO_FILL

the data object is centred, aspect ratio is not always preserved

See Also:
  Constant Field Values

#### UP3I_PRINT_DATA

    public static final byte UP3I_PRINT_DATA

used to map ip3i print data objects

See Also:
  Constant Field Values

### Constructor Detail

#### MappingOptionTriplet

    public MappingOptionTriplet(byte mapValue)

Main constructor

Parameters:
  `mapValue` - the mapping option to use

### Method Detail

#### getDataLength

    public int getDataLength()

Returns the data length of this structured field

Returns:
  the data length of this structured field

#### writeToStream

    public void writeToStream(OutputStream os)
                       throws IOException

DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Parameters:
  `os` - the outputsteam stream
Throws:
  `IOException` - an I/O exception of some sort has occurred.